# PHTML::Form Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Form:

List of all members.

## Public Member Functions

| Form (const char *method=NULL, const char *action=NULL, const char *encoding=NULL, const char *script=NULL)
virtual | ~Form ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::Form::Form | ( | const char * | method = `NULL`,
|  | const char * | action = `NULL`,
|  | const char * | encoding = `NULL`,
|  | const char * | script = `NULL` |
| ) |  |  |

virtual PHTML::Form::~Form | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::Form::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::Element.

The documentation for this class was generated from the following file:

- html.h